<?
// load from cache if file less than 480 seconds old
$filename = 'report-click-pings-cache.html';

if (file_exists($filename)) {
    if (time() - filectime($filename) < 480) {
        readfile($filename);
        exit;
    }
}

// start buffering output
ob_start();

// load popular link data
require('poplink.php');
$pop = new Poplink();
$popular = $pop->get_popular_links(100);

// build popular link report
$pop_output = "";
for ($i = 0; $i < count($popular); $i++) {
    $p = $popular[$i];
    $pop_output .= "<tr><td>{$p['visits']}</td><td><a href=\"{$p['link']}\">{$p['link']}</a></td></tr>";
}
if ($pop_output != "") {
    $pop_output = "<table border=\"0\">{$pop_output}</table>";    
}

ECHO <<<END
<html>
<head>
<title>Poplink Demo</title>
</head>
<body>
<h1>Popular Outgoing Links</h1>

<p>$pop_output
</body>
</html>
END;

// create cached version
$contents = ob_get_contents();
$fhandle = fopen($filename, "w");
fwrite($fhandle, $contents);
fclose($fhandle);

// display output
ob_end_flush();
?>

